import torch

from models.line_detect.line_net import linenet_resnet50_fpn, LineNet
from models.line_detect.trainer import Trainer

device = torch.device('cuda' if torch.cuda.is_available() else 'cpu')
if __name__ == '__main__':

    model = LineNet('line_net.yaml')
    # trainer = Trainer()
    # trainer.train_cfg(model,cfg='./train.yaml')
    model.train_by_cfg(cfg='train.yaml')